%define tarball xf86-input-tuio
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	Xorg X11 tuio input driver
Name:      	xorg-x11-drv-tuio
Version: 	0.0.1
Release: 	2
Epoch:		1
URL:       	http://rhuffman.wordpress.com/
# source code taken from git repository
# git clone git://repo.or.cz/xf86-input-tuio.git
Source0:   	%{tarball}-%{version}.tar.bz2
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

ExclusiveArch: 	%{ix86} x86_64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk

Requires:  	xorg-x11-server-Xorg

#Automatically resolved build dependencies
BuildRequires: dbus-devel
BuildRequires: glibc-devel
BuildRequires: hal-devel
BuildRequires: liblo-devel
BuildRequires: libpciaccess-devel
BuildRequires: libsmbios-devel
BuildRequires: libstdc++-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config

%description 
X.Org X11 tuio input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
./autogen.sh
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
#%dir %{moduledir}
#%dir %{driverdir}
%{driverdir}/tuio_drv.so
%dir %{_mandir}/man4/tuio.4.gz
%_pkgconfig/xorg-tuio.pc

%changelog
* Mon Aug 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:0.0.1-2
- snapshot b959fe09bd3ba647515cb93f3d768850e9d7542e
* Fri Jul 24 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:0.0.1-1
- Initial CCux package release
- snapshot 3d345668be3bb60cf3994c412df8098aced9fdf6
